Next: mktemp, Previous: getw, Up: Stdio

### 4.40 `getwchar`—read a wide character from standard input

Synopsis

         #include <wchar.h>
         wint_t getwchar(void);

         wint_t _getwchar_r(struct _reent *reent);

Description
`getwchar` function or macro is the wide character equivalent of the `getchar` function. You can use `getwchar` to get the next wide character from the standard input stream. As a side effect, `getwchar` advances the standard input's current position indicator.

The alternate function `_getwchar_r` is a reentrant version. The extra argument reent is a pointer to a reentrancy structure.

Returns
The next wide character cast to `wint_t`, unless there is no more data, or the host system reports a read error; in either of these situations, `getwchar` returns `WEOF`.

You can distinguish the two situations that cause an `WEOF` result by using ``ferror(stdin)`' and ``feof(stdin)`'.

Portability
C99